# IO.Swagger.Model.ConnectionDto
## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**ConnectionId** | **string** | The unique ID of the connection | [optional] 
**Created** | **DateTime?** | When the connection was created, as a datetime | [optional] 
**CreatedBy** | **string** | The ID of the user that created the connection | [optional] 
**Description** | **string** | The description of the connection, if specified | [optional] 
**DestinationId** | **string** | The ID of the file or item the connection sends data to | [optional] 
**DestinationType** | **string** | The type of file or item the connection sends data to | [optional] 
**DestinationWorkspaceId** | **string** | The workspace of the file or item the connection pulls data to | [optional] 
**LastRunBy** | **string** | The ID of the user that last ran the connection | [optional] 
**LastRunDate** | **DateTime?** | When the connection last ran, as a datetime | [optional] 
**LastRunDestinationParameters** | **Dictionary&lt;string, Object&gt;** | A map of the parameters used with the destination when the connection last ran | [optional] 
**LastRunJobId** | **string** | The ID of the connection&#39;s last run | [optional] 
**LastRunSourceParameters** | **Dictionary&lt;string, Object&gt;** | A map of the parameters used with the source when the connection last ran | [optional] 
**Metadata** | **Dictionary&lt;string, Object&gt;** | Any additional information about the connection | [optional] 
**Name** | **string** | The name of the connection, if specified | [optional] 
**SourceId** | **string** | The ID of the file or item the connection pulls data from | [optional] 
**SourceType** | **string** | The type of file or item the connection pulls data from | [optional] 
**SourceWorkspaceId** | **string** | The workspace of the file or item the connection pulls data from | [optional] 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)

