# IO.Swagger.Model.FileMetaDto
## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**ColumnMappings** | **Dictionary&lt;string, string&gt;** | Maps the columns in the physical file (CSV or JSON) to the columns in fact table &#x3D; {\&quot;physical_col1\&quot;:\&quot;table_col1\&quot;, \&quot;physical_col2\&quot;:\&quot;table_col2\&quot;} | [optional] 
**Created** | **DateTime?** | When the entity was created | [optional] 
**Delimiter** | **string** | The character to use as a delimiter within the file to separate one field from another.  The default is comma | [optional] 
**Id** | **string** | The entity&#39;s unique identifier | [optional] 
**Key** | **string** | The key is here for backwards compatibility only and will always be an empty string. | [optional] 
**Metadata** | **Dictionary&lt;string, Dictionary&lt;string, Object&gt;&gt;** | The file&#39;s meta data | [optional] 
**Name** | **string** | The name of the file | [optional] 
**NumErrors** | **long?** | Number of errors found in the file | [optional] 
**NumRecords** | **long?** | Number of records imported from this file.  This will only be non-zero if the file is in the IMPORTED status. | [optional] 
**OriginalFileSize** | **long?** | Size of the original file that was uploaded. | [optional] 
**Source** | **string** | URI that describes the source location of this file if imported from another system. For instance, this will have a spreadsheet URL if this file was imported from spreadsheets. This will be null if the file was uploaded using the data prep API. | [optional] 
**Status** | **string** | The files&#39;s current status | [optional] 
**TableId** | **string** | The unique identifier for the table | [optional] 
**Tags** | **Dictionary&lt;string, string&gt;** | The tags associated with the file | [optional] 
**Updated** | **DateTime?** | When the entity was last updated | [optional] 
**UserId** | **string** | The owner of the entity | [optional] 
**Version** | **long?** | The version of the current representation of the entity | [optional] 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)

