# IO.Swagger.Model.GlobalParameterDto
## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**Choices** | **List&lt;Object&gt;** | If the parameter is of type select, this is a list of possible choices. This is read only and is for listing and viewing reports to help the user. | [optional] 
**Created** | **DateTime?** | When the entity was created | [optional] 
**DatabaseId** | **string** | The unique identifier of the database where this parameter can be used to filter query results | [optional] 
**Description** | **string** | The description of the parameter | [optional] 
**Id** | **string** | The entity&#39;s unique identifier | [optional] 
**Label** | **string** | The label for the query parameter | [optional] 
**Mode** | **string** | The mode of the parameter | [optional] 
**Name** | **string** | The name of the parameter | [optional] 
**Overridable** | **bool?** | Denotes if this parameter can be overridden later in the process, either when the query is created or executed.  The default is true; it can be overridden. | [optional] 
**SelectListId** | **string** | If mode is select, this must be populated and is a reference to a select list from which choices will be derived. | [optional] 
**Type** | **string** | The type of the parameter | [optional] 
**Updated** | **DateTime?** | When the entity was last updated | [optional] 
**UserId** | **string** | The owner of the entity | [optional] 
**Value** | **Object** | The default value of the parameter | [optional] 
**Version** | **long?** | The version of the current representation of the entity | [optional] 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)

