# IO.Swagger.Model.SharedTableDto
## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**Created** | **DateTime?** | When the entity was created | [optional] 
**DestinationWorkspaceId** | **string** | The id of the workspace being shared to. | 
**Id** | **string** | The entity&#39;s unique identifier | [optional] 
**ParentId** | **string** | If non-null, indicates the parent of this entity. Must be modified through the folder api. | [optional] 
**SourceTableId** | **string** | The id of the table being shared. | 
**Table** | [**TableDto**](TableDto.md) | The associated table which will be hydrated when listing are fetching shared table entities. | [optional] 
**Updated** | **DateTime?** | When the entity was last updated | [optional] 
**UserId** | **string** | The owner of the entity | [optional] 
**Version** | **long?** | The version of the current representation of the entity | [optional] 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)

