# IO.Swagger.Api.APIHealthApi

All URIs are relative to *https://h.app.wdesk.com/s/wdata/prep*

Method | HTTP request | Description
------------- | ------------- | -------------
[**HealthCheckUsingGET**](APIHealthApi.md#healthcheckusingget) | **GET** /health | Health check


<a name="healthcheckusingget"></a>
# **HealthCheckUsingGET**
> BaseResponseOfMapOfstringAndstring HealthCheckUsingGET ()

Health check

Returns the status of the API WSGI servers

### Example
```csharp
using System;
using System.Diagnostics;
using IO.Swagger.Api;
using IO.Swagger.Client;
using IO.Swagger.Model;

namespace Example
{
    public class HealthCheckUsingGETExample
    {
        public void main()
        {
            
            var apiInstance = new APIHealthApi();

            try
            {
                // Health check
                BaseResponseOfMapOfstringAndstring result = apiInstance.HealthCheckUsingGET();
                Debug.WriteLine(result);
            }
            catch (Exception e)
            {
                Debug.Print("Exception when calling APIHealthApi.HealthCheckUsingGET: " + e.Message );
            }
        }
    }
}
```

### Parameters
This endpoint does not need any parameter.

### Return type

[**BaseResponseOfMapOfstringAndstring**](BaseResponseOfMapOfstringAndstring.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: *_/_*

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

