# IO.Swagger.Model.ConnectionRunDto
## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**ConnectionId** | **string** | The unique ID of the connection | [optional] 
**Created** | **DateTime?** | When the connection was created, as a datetime | [optional] 
**CreatedBy** | **string** | The ID of the user that created the connection | [optional] 
**DestinationParameters** | **Object** | Any parameters provided to the destination | [optional] 
**DestinationStatus** | **string** | The run status of the destination | [optional] 
**DestinationWorkspaceId** | **string** | The workspace of the the run destination | [optional] 
**Error** | **string** | An error, if encountered, while initiating the job | [optional] 
**JobId** | **string** | The unique ID of the job | [optional] 
**SourceParameters** | **Object** | Any parameters provided to the source | [optional] 
**SourceStatus** | **string** | The run status of the source | [optional] 
**SourceWorkspaceId** | **string** | The workspace of the run source | [optional] 
**Updated** | **DateTime?** | When the connection was updated, as a datetime | [optional] 
**WorkspaceId** | **string** | The workspace id for this connection | [optional] 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)

