# IO.Swagger.Model.PivotDefinitionDto
## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**Columns** | [**List&lt;PivotViewDefinitionColumnDto&gt;**](PivotViewDefinitionColumnDto.md) | The colmnnns associated with the pivot view | [optional] 
**DecimalPlaces** | **int?** | Numeric data values are rounded to the number of decimal places.  The default number to round to and show is 2 decimal places, and the maximum number is capped at 16. | [optional] 
**Filters** | [**List&lt;PivotViewDefinitionFilterDto&gt;**](PivotViewDefinitionFilterDto.md) | The filters associated with the pivot view | [optional] 
**GrandTotalEnabled** | **string** | The level to which Grand Totals are enabled.  It is defaulted to DISABLED. | [optional] 
**Id** | **string** | The pivot view&#39;s definition&#39;s id | [optional] 
**MultipleHeaders** | **bool?** | Denotes whether a pivot is created in multi-line header mode. Default is false. | [optional] 
**PivotViewType** | **string** | The type of pivot view. Options are currently Classic and Compact. | [optional] 
**Rows** | [**List&lt;PivotViewDefinitionRowDto&gt;**](PivotViewDefinitionRowDto.md) | The rows associated with the pivot view | [optional] 
**SortColumns** | **List&lt;string&gt;** | Columns with which to sort the crosstab query | [optional] 
**SubtotalEnabled** | **string** | The level to which Subtotals are enabled.  It is defaulted to DISABLED. | [optional] 
**Values** | [**List&lt;PivotViewDefinitionValueDto&gt;**](PivotViewDefinitionValueDto.md) | The values associated with the pivot view | [optional] 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)

