# IO.Swagger.Model.PivotViewDto
## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**AdditionalMeta** | **Dictionary&lt;string, Object&gt;** | User-defined metadata to attach to the pivot view. This is any arbitrary JSON object and is not required. | [optional] 
**Created** | **DateTime?** | When the entity was created | [optional] 
**Description** | **string** | The description of the pivot view | [optional] 
**Id** | **string** | The entity&#39;s unique identifier | [optional] 
**Name** | **string** | Name of the pivot view. The maximum size is 255 characters. | 
**ParentId** | **string** | If non-null, indicates the parent of this entity. Must be modified through the folder api. | [optional] 
**QueryId** | **string** | The query to associate with this pivot view. This value is required and cannot be updated after the pivot is created. Any attempt to update the query ID is ignored. | 
**QueryResultId** | **string** | An optional query result id to associate with this pivot view. If associated, saving a pivot view will cause an existence check on the related query result.  This value is not required. The query id on the query result must match this pivot&#39;s query ID. | [optional] 
**Updated** | **DateTime?** | When the entity was last updated | [optional] 
**UserId** | **string** | The owner of the entity | [optional] 
**Version** | **long?** | The version of the current representation of the entity | [optional] 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)

