# IO.Swagger.Model.QueryParameterDto
## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**Alias** | **string** | The alias of the query parameter, used to avoid name collisions for nested query parameter references | [optional] 
**Choices** | **List&lt;Object&gt;** | If the query parameter is of type select, this is a list of possible choices. This  is read only and is for listing and viewing reports to help the user. | [optional] 
**Id** | **string** | The entity&#39;s unique identifier, set if it is a reference kind. | [optional] 
**Label** | **string** | The label for the query parameter | [optional] 
**Mode** | **string** | The mode of the query parameter | [optional] 
**Name** | **string** | The name of the query parameter | [optional] 
**Overridable** | **bool?** | Whether the parameter can be overridden, defaults to true. | [optional] 
**Reference** | **Object** | The hydrated reference object | [optional] 
**SelectListId** | **string** | If mode is select, this must be populated and is a reference to a select list from which choices will be derived. | [optional] 
**Type** | **string** | The type of the query parameter | [optional] 
**Value** | **Object** | The value of the query parameter | [optional] 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)

